Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
how to update the kernel
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
chenylex
n00b
n00b


Joined: 19 Dec 2013
Posts: 14

PostPosted: Mon Dec 30, 2013 3:34 am    Post subject: how to update the kernel Reply with quote

Gentoo-20121221 /
Code:
# emerge gentoo-sources

!!! Your current profile is deprecated and not supported anymore.
!!! Use eselect profile to update your profile.
!!! Please upgrade to the following profile if possible:
        default/linux/amd64/13.0


 * IMPORTANT: 10 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


 * IMPORTANT: config file '/etc/portage/package.use/use' needs updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.
Calculating dependencies             ... done!                       

!!! The following installed packages are masked:
- sys-kernel/module-rebuild-0.7::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Samuli Suominen <ssuominen@gentoo.org> (28 Dec 2013)
# Replaced by 'emerge @module-rebuild' set in Portage itself.
# Removal in 30 days, see http://bugs.gentoo.org/410739

- net-im/kmess-2.0.6.2::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Markos Chandras <hwoarang@gentoo.org> (23 Mar 2013)
# MSN service terminated.
# You can still use your MSN account in net-im/skype
# or switch to an open protocol instead
# These clients may work until Oct 2013 (or even longer in China)

- kde-base/solid-4.9.4::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Johannes Huber <johu@gentoo.org> (14 Dec 2013)
# Masked for removal in 30 days. Not packaged in current
# stable KDE SC 4.11 and later.

- media-gfx/blender-2.64a::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Julian Ospald <hasufell@gentoo.org> (10 Mar 2013)
# Unsupported and full of bundled libs. Only left
# for people who don't have python-3.3 yet.
# Will be removed once python-3.3 and >=blender-2.66 enter ~arch.

- kde-misc/polkit-kde-kcmodules-0.98_pre20120917-r1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Johannes Huber <johu@gentoo.org> (24 Nov 2013)
# Masked for removal in 30 days. Broken functionality.
# See bug #438790

- kde-base/kdegraphics-strigi-analyzer-4.9.4::gentoo (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


>>> Verifying ebuild manifests

>>> Emerging (1 of 1) sys-kernel/gentoo-sources-3.12.6
>>> Downloading 'http://ftp.swin.edu.au/gentoo/distfiles/linux-3.12.tar.xz'
--2013-12-30 10:48:33--  http://ftp.swin.edu.au/gentoo/distfiles/linux-3.12.tar.xz
Resolving ftp.swin.edu.au... 136.186.1.76, 2001:388:6080:64::dc41:1cf
Connecting to ftp.swin.edu.au|136.186.1.76|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 76384600 (73M) [application/x-xz]
Saving to: ‘/usr/portage/distfiles/linux-3.12.tar.xz’

100%[======================================>] 76,384,600  48.4KB/s   in 38m 10s

2013-12-30 11:26:45 (32.6 KB/s) - ‘/usr/portage/distfiles/linux-3.12.tar.xz’ saved [76384600/76384600]

 * linux-3.12.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                               [ ok ]
>>> Downloading 'http://ftp.swin.edu.au/gentoo/distfiles/genpatches-3.12-7.base.tar.xz'
--2013-12-30 11:26:49--  http://ftp.swin.edu.au/gentoo/distfiles/genpatches-3.12-7.base.tar.xz
Resolving ftp.swin.edu.au... 136.186.1.76, 2001:388:6080:64::dc41:1cf
Connecting to ftp.swin.edu.au|136.186.1.76|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 195620 (191K) [application/x-xz]
Saving to: ‘/usr/portage/distfiles/genpatches-3.12-7.base.tar.xz’

100%[======================================>] 195,620     53.1KB/s   in 3.6s   

2013-12-30 11:26:54 (53.1 KB/s) - ‘/usr/portage/distfiles/genpatches-3.12-7.base.tar.xz’ saved [195620/195620]

 * genpatches-3.12-7.base.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                   [ ok ]
>>> Downloading 'http://ftp.swin.edu.au/gentoo/distfiles/genpatches-3.12-7.extras.tar.xz'
--2013-12-30 11:26:54--  http://ftp.swin.edu.au/gentoo/distfiles/genpatches-3.12-7.extras.tar.xz
Resolving ftp.swin.edu.au... 136.186.1.76, 2001:388:6080:64::dc41:1cf
Connecting to ftp.swin.edu.au|136.186.1.76|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 18128 (18K) [application/x-xz]
Saving to: ‘/usr/portage/distfiles/genpatches-3.12-7.extras.tar.xz’

100%[======================================>] 18,128      64.9KB/s   in 0.3s   

2013-12-30 11:26:54 (64.9 KB/s) - ‘/usr/portage/distfiles/genpatches-3.12-7.extras.tar.xz’ saved [18128/18128]

 * genpatches-3.12-7.extras.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                 [ ok ]
>>> Preparing to unpack ...
>>> Unpacking source...
>>> Unpacking linux-3.12.tar.xz to /var/tmp/portage/sys-kernel/gentoo-sources-3.12.6/work
>>> Unpacking genpatches-3.12-7.base.tar.xz to /var/tmp/portage/sys-kernel/gentoo-sources-3.12.6/work/patches
>>> Unpacking genpatches-3.12-7.extras.tar.xz to /var/tmp/portage/sys-kernel/gentoo-sources-3.12.6/work/patches
 * Applying 1000_linux-3.12.1.patch (-p1) ...                                                                                           [ ok ]
 * Applying 1001_linux-3.12.2.patch (-p1) ...                                                                                           [ ok ]
 * Applying 1002_linux-3.12.3.patch (-p1) ...                                                                                           [ ok ]
 * Applying 1003_linux-3.12.4.patch (-p1) ...                                                                                           [ ok ]
 * Applying 1004_linux-3.12.5.patch (-p1) ...                                                                                           [ ok ]
 * Applying 1005_linux-3.12.6.patch (-p1) ...                                                                                           [ ok ]
 * Applying 1500_XATTR_USER_PREFIX.patch (-p1) ...                                                                                      [ ok ]
 * Applying 1700_enable-thinkpad-micled.patch (-p1) ...                                                                                 [ ok ]
 * Applying 1900_modify-pipe_write-to-first-call-sb_start_write_try-a.patch (-p1) ...                                                   [ ok ]
 * Applying 2400_kcopy-patch-for-infiniband-driver.patch (-p1) ...                                                                      [ ok ]
 * Applying 2700_ThinkPad-30-brightness-control-fix.patch (-p1) ...                                                                     [ ok ]
 * Applying 2900_dev-root-proc-mount-fix.patch (-p1) ...                                                                                [ ok ]
 * Applying 2900_s2disk-resume-image-fix.patch (-p1) ...                                                                                [ ok ]
 * Applying 4200_fbcondecor-0.9.6.patch (-p1) ...                                                                                       [ ok ]
 * Applying 4500_support-for-pogoplug-e02.patch (-p1) ...                                                                               [ ok ]
 * Applying 4567_distro-Gentoo-Kconfig.patch (-p1) ...                                                                                  [ ok ]
>>> Source unpacked in /var/tmp/portage/sys-kernel/gentoo-sources-3.12.6/work
>>> Preparing source in /var/tmp/portage/sys-kernel/gentoo-sources-3.12.6/work/linux-3.12.6-gentoo ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sys-kernel/gentoo-sources-3.12.6/work/linux-3.12.6-gentoo ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/sys-kernel/gentoo-sources-3.12.6/work/linux-3.12.6-gentoo ...
>>> Source compiled.
>>> Test phase [not enabled]: sys-kernel/gentoo-sources-3.12.6

>>> Install gentoo-sources-3.12.6 into /var/tmp/portage/sys-kernel/gentoo-sources-3.12.6/image/ category sys-kernel
>>> Copying sources ...
>>> Completed installing gentoo-sources-3.12.6 into /var/tmp/portage/sys-kernel/gentoo-sources-3.12.6/image/

ecompressdir: bzip2 -9 /usr/share/doc

>>> Installing (1 of 1) sys-kernel/gentoo-sources-3.12.6

 * If you are upgrading from a previous kernel, you may be interested
 * in the following document:
 *   - General upgrade guide: http://www.gentoo.org/doc/en/kernel-upgrade.xml

 * For more info on this patchset, and how to report problems, see:
 * http://dev.gentoo.org/~mpagano/genpatches

 * Messages for package sys-kernel/gentoo-sources-3.12.6:

 * If you are upgrading from a previous kernel, you may be interested
 * in the following document:
 *   - General upgrade guide: http://www.gentoo.org/doc/en/kernel-upgrade.xml
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.

!!! existing preserved libs:
>>> package: app-emulation/emul-linux-x86-xlibs-20110722
 *  - /usr/lib32/libX11.so.6
 *  - /usr/lib32/libX11.so.6.3.0
 *      used by /usr/lib64/opera/pluginwrapper/operapluginwrapper-ia32-linux (www-client/opera-12.12_pre1680)
 *  - /usr/lib32/libXau.so.6
 *  - /usr/lib32/libXau.so.6.0.0
 *  - /usr/lib32/libxcb.so.1
 *  - /usr/lib32/libxcb.so.1.1.0
 *  - /usr/lib32/libXdmcp.so.6
 *  - /usr/lib32/libXdmcp.so.6.0.0
Use emerge @preserved-rebuild to rebuild packages using these libraries

 * IMPORTANT: config file '/etc/portage/package.use/use' needs updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

 * IMPORTANT: 10 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.
and what something about " IMPORTANT: config file '/etc/portage/package.use/use' needs updating.and IMPORTANT: 10 news items need reading for repository 'gentoo'.
"! !,how to deal with this problem!
Back to top
View user's profile Send private message
jpc22
Apprentice
Apprentice


Joined: 29 Jan 2012
Posts: 195

PostPosted: Mon Dec 30, 2013 4:13 am    Post subject: Reply with quote

use dispatch-conf to review the changes of the 10 files that need them and read carefully +will be added -will be removed

if it is ok press u if not press zto zap the newconfig.


add the symlink flag to your make.conf so that the kernel symlink gets updated automatically.


otherwise some apps are masked since they will be or are removed from portage, so either upgrade them for blender or consider an alternative for kmess.
Back to top
View user's profile Send private message
John R. Graham
Administrator
Administrator


Joined: 08 Mar 2005
Posts: 10261
Location: Somewhere over Atlanta, Georgia

PostPosted: Mon Dec 30, 2013 4:21 am    Post subject: Reply with quote

Most of this is pretty well covered in the Handbook. Do you remember about profiles? The use of "eselect profile" is described in the Handbook.

For news items, try "eselect news".

For updating config files, the instructions are a little buried. See Additional Portage Tools.

All these topics are covered in the Handbook (but Portage is giving you big hints). You have some reading to do. :wink:

- John
_________________
I can confirm that I have received between 0 and 499 National Security Letters.


Last edited by John R. Graham on Mon Dec 30, 2013 4:39 am; edited 1 time in total
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7092
Location: Saint Amant, Acadiana

PostPosted: Mon Dec 30, 2013 4:24 am    Post subject: Reply with quote

What John R. Graham said ... this system seems to be crying for an update, too.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
chenylex
n00b
n00b


Joined: 19 Dec 2013
Posts: 14

PostPosted: Mon Dec 30, 2013 7:31 am    Post subject: Reply with quote

toshiba gentoo # eselect profile list
Available profile symlink targets:
[1] default/linux/amd64/13.0
[2] default/linux/amd64/13.0/selinux *
[3] default/linux/amd64/13.0/desktop
[4] default/linux/amd64/13.0/desktop/gnome
[5] default/linux/amd64/13.0/desktop/gnome/systemd
[6] default/linux/amd64/13.0/desktop/kde
[7] default/linux/amd64/13.0/desktop/kde/systemd
[8] default/linux/amd64/13.0/developer
[9] default/linux/amd64/13.0/no-multilib
[10] default/linux/amd64/13.0/x32
[11] hardened/linux/amd64
[12] hardened/linux/amd64/selinux
[13] hardened/linux/amd64/no-multilib
[14] hardened/linux/amd64/no-multilib/selinux
[15] hardened/linux/amd64/x32
[16] hardened/linux/uclibc/amd64
toshiba gentoo # eselect profile set 1
toshiba gentoo # eselect profile show
Current /etc/make.profile symlink:
default/linux/amd64/13.0
toshiba gentoo # emerge --update --deep --with-bdeps=y @world

* IMPORTANT: config file '/etc/portage/package.use/use' needs updating.
* See the CONFIGURATION FILES section of the emerge
* man page to learn how to update config files.
Calculating dependencies er

!!! Problem resolving dependencies for net-analyzer/wireshark from @selected
... done!

!!! The ebuild selected to satisfy "net-analyzer/wireshark" has unmet requirements.
- net-analyzer/wireshark-1.10.5::gentoo USE="caps crypt filecaps gtk2 ipv6 netlink pcap portaudio qt4 ssl zlib -adns -doc -doc-pdf -geoip -gtk3 -kerberos -libadns -lua (-selinux) -smi"

The following REQUIRED_USE flag constraints are unsatisfied:
at-most-one-of ( gtk2 gtk3 qt4 )

The above constraints are a subset of the following complete expression:
at-most-one-of ( gtk2 gtk3 qt4 ) ssl? ( crypt )

(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
toshiba gentoo #
Back to top
View user's profile Send private message
njcwotx
Guru
Guru


Joined: 25 Feb 2005
Posts: 564
Location: Texas

PostPosted: Fri Jan 17, 2014 6:58 am    Post subject: Reply with quote

in your package.use you have both "gtk2" and "qt4" they are likely brought in by default profile.

put a minus (-) in front of gtk2 like this -gtk2 and give it a try. Wireshark wont build with the 2 similar libraries at one time. You only need to tell wireshark to use one only. Its rare this kind of thing happens to have to 'negate' a flag, most of the time I end up having to add them and add them and eventually all those flags can add up to one big headache because they can bring in more packages, and eventually you will have some kind of collision.

while not in any kind of order and just off top of my head you might want to research for some of these commands and find out what their job is...

Select which compiler to use after updates: gcc-config -l
When you run major updates and python gets updated: python-updater
After updates to perl: perl-cleaner all
Your friend when you want to find out things about a package such as what packages provide a certain command or such: equery
emerge -uDNvp system
emerge -uDNvp world
After a major world update be careful but this helps over time to get rid of uneeded packages: emerge --depclean
a USE flag ncurses based flag editor: ufed
a very usefull tool to set several things like kernel version, profiles, and change versions of major system components: eselect
haven't had to use this in a while but saved my bacon a few times when libraries get fouled up: lafilefixer
reverse dependencies can get out of hand or lost so there is: revdep-rebuild
sometimes a post emerge message will suggest: emerge @preserved-libs

there is more but that was a quick off the top of my head list of commands that I have had to use to fix, set, update Gentoo. Don't use them blindly, but if you have some issues in one of those areas, you can search for these and see how they get used. Of course, this is all in the docs in various places.
_________________
Drinking from the fountain of knowldege.
Sometimes sipping.
Sometimes gulping.
Always thirsting.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum